Get call overview
curl --request GET \
--url https://api.pineyard.ai/analytics/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"totalCalls": 123,
"completedCalls": 123,
"failedCalls": 123,
"webSandboxCalls": 123,
"avgDurationMs": 123,
"totalCreditsUsed": 123,
"connectionRate": 123,
"pendingOutreach": 123,
"callsToday": 123,
"callsYesterday": 123,
"leadConnectionRate": 123,
"dialedContacts": 123,
"pickedUpContacts": 123,
"reachedContacts": 123
}Analytics
Get call overview
Call totals, average duration, credits used and connection rates for the selected window. Filter with days (rolling window), today=1 (India Standard Time calendar day), campaignId or campaignTypeId.
GET
/
analytics
/
overview
Get call overview
curl --request GET \
--url https://api.pineyard.ai/analytics/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"totalCalls": 123,
"completedCalls": 123,
"failedCalls": 123,
"webSandboxCalls": 123,
"avgDurationMs": 123,
"totalCreditsUsed": 123,
"connectionRate": 123,
"pendingOutreach": 123,
"callsToday": 123,
"callsYesterday": 123,
"leadConnectionRate": 123,
"dialedContacts": 123,
"pickedUpContacts": 123,
"reachedContacts": 123
}Required scope:
analytics.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Required range:
1 <= x <= 365Required range:
0 <= x <= 1Response
OK

